#include<iostream>
#include<stdio.h>
using namespace std;
int main()
{
	int a,b,x,y;
	scanf("%d%d%d%d",&a,&b,&x,&y);
	if(a==x && b==y) printf("nijedan");
	else if(a==x && y<b) printf("drugi");
	else if(x<a && y==b) printf("prvi");
	else printf("?");	
	return 0;
}